Package ru.bitel.oss.systems.inventory.product.server.bean

# Class ProductSpecDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ProductSpec>
ru.bitel.common.dao.AbstractIdDao<ProductSpec>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<ProductSpec>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<ProductSpec>
ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<ProductSpec>`

public class ProductSpecDao extends AbstractEntityDao<ProductSpec> implements Directory<ProductSpec>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductSpecDao(Connection con)`
  `ProductSpecDao(Connection con, int moduleId)`
  `ProductSpecDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(int id)`
  Удаление элемента по id
  `ProductSpec`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `ProductSpec`
  `getByIdentifier(String identifier)`
  `ProductSpec`
  `getByIdentifier(String identifier, int moduleId)`
  `protected ProductSpec`
  `getFromRSImpl(ResultSet rs)`
  `protected String`
  `getQueryById()`
  `List<ProductSpec>`
  `list()`
  Получение всего списка элементов из справочника
  `List<ProductSpec>`
  `list(int moduleId)`
  `List<ProductSpec>`
  `list(int moduleId, Date dateFrom, Date dateTo, String title, List<FilterEntityAttr> entityFilter)`
  `void`
  `move(int newParentId, Set<Integer> children)`
  `boolean`
  `reorder(int srcProductId, int parentProductId, int pos)`
  `protected void`
  `updateImpl(ProductSpec productSpec)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get, opt, update`

- ## Constructor Details

  - ### ProductSpecDao

    public ProductSpecDao(Connection con, int moduleId)

  - ### ProductSpecDao

    public ProductSpecDao(Connection con)

  - ### ProductSpecDao

    public ProductSpecDao(Connection con, int moduleId, int userId)

- ## Method Details

  - ### getFromRSImpl

    protected ProductSpec getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<ProductSpec>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ProductSpec productSpec) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ProductSpec>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<ProductSpec>`

  - ### get

    public ProductSpec get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<ProductSpec>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpec> list(int moduleId, Date dateFrom, Date dateTo, String title, List<FilterEntityAttr> entityFilter) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpec> list(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpec> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<ProductSpec>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move(int newParentId, Set<Integer> children) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByIdentifier

    public ProductSpec getByIdentifier(String identifier) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByIdentifier

    public ProductSpec getByIdentifier(String identifier, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws Exception
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<ProductSpec>`
    Overrides:
      `delete` in class `AbstractEntityDao<ProductSpec>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### reorder

    public boolean reorder(int srcProductId, int parentProductId, int pos) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`